GNU bug report logs - #42483
26.1: thing-at-point doesn't recognize org-link urls

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: Boruch Baum <boruch_baum@HIDDEN>; dated Thu, 23 Jul 2020 03:33:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 27 Jan 2021 01:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 26 20:36:31 2021
Received: from localhost ([127.0.0.1]:43086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4Zl1-0005Gn-D9
	for submit <at> debbugs.gnu.org; Tue, 26 Jan 2021 20:36:31 -0500
Received: from quimby.gnus.org ([95.216.78.240]:34170)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4Zkz-0005GZ-HM
 for 42483 <at> debbugs.gnu.org; Tue, 26 Jan 2021 20:36:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=dOEiwLE/LcdnYL0FG2IpKI7f6mPOryNy79V0pW/ydSA=; b=AXADMoAZfZs9rVYG2AqkMrV9O2
 Irc+SnrKHzB81HoTAGCs70siWlkro4GV14+7Tgh09r1CWR/+v8PFg1Gvt3DvR5tIG8MpsDvcSKzGn
 IeN7rEaHXaCZrwTtE3BgBMA1cG5qjD6EdKmj9K0iZIm/ifIm1EOwM0lQio8uyli8DmO8=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4Zko-0007bu-B0; Wed, 27 Jan 2021 02:36:23 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: jao <jao@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
 <U43vwkmIZZ1Uf-qJV6fUJvih2FycMJ3I1Lkfa1CqbhTkn7MpMFntwIb2Vqak98O1NIoqXGHHTw0v7HCoMhb5Mg==@protonmail.internalid>
 <87r1mbtqg6.fsf@HIDDEN> <87eeiba19k.fsf@HIDDEN>
 <XGmAZr76q0Xs7AXiHU39oJhNEMMNXd_elC7gcq7OsFQZWUjv81ML23JzFW_ynfTvppAG0zsuo6lD7v_vHphvdQ==@protonmail.internalid>
 <87lfcgo9s2.fsf@HIDDEN> <87wnw08rqz.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAIVBMVEX9/v7N0taptcJ7
 dn0ODA4oJCVMOz4jLFZfU2KdXzD///8iPFAqAAAAAWJLR0QKaND0VgAAAAd0SU1FB+UBGwEjCfaS
 fE0AAAGlSURBVDjLlVNLbuQgEDU3CH2CaecG0STqfV5BZw+4Z98mZJ+Mez+ymwvYErdNgTuzMpFS
 QqhUj1c/qppmW8SWUbJsvm5ZfgZ8I6JilqLmStxtm/dNBbgTsgLsKr5qjJzXWmb7kC/58F9t2/sG
 RayztocpqvVWD2hgyIAsC4ylrE2nMQwmMyxsfss21qm3ZMPw3rDJZhJf7gyK1pvjGCwaox6d99nT
 8zQz8Cct5P8xA2rMAXrgGA+wp7clkY+WY5hsz0FUeAKpMS0qRs2MLzuUf+QMxpRO8VpcWecpF0Dx
 N+CeFuXj1LEr8n4uRVI4c+LR+I4ZXCBm1xcGvLHQ0c2Xww0gs/bFgaDimS7TNQdH7/sVIWiDOFKM
 r4Wh0lyyAuXa3VWH0JVeUVpWVzBuhB66MKEwkNINcCEaBv5OegVevoDj/cFgGIaJqAC0cLql8dGf
 Gbj0+CgAXPmK3JUwohsuvuveC6BuhQAhQn/QpLmO/PN7KflIngcpd3ltdu3m/Ii9kJsDx2NYmd1f
 9SUQFVf1GKKpMSqzLna1JahtVI1R3ahaukU+AdS6rc/b60E2AAAAJXRFWHRkYXRlOmNyZWF0ZQAy
 MDIxLTAxLTI3VDAxOjM1OjA4KzAwOjAwdCHQfwAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0y
 N1QwMTozNTowOCswMDowMAV8aMMAAAAASUVORK5CYII=
X-Now-Playing: repository's _Depeche Mode_: "Black Celebration: The 12"
 Singles (4): A Question of Time/01-A Question Of Time (Extended
 Remix).mp3"
Date: Wed, 27 Jan 2021 02:36:17 +0100
In-Reply-To: <87wnw08rqz.fsf@HIDDEN> (jao@HIDDEN's message of "Tue, 26
 Jan 2021 00:29:56 +0000")
Message-ID: <871re7gnzi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: jao <jao@HIDDEN> writes: > yes. i was imagining a
 convenience
 funtion, say `anything-at-point', > that would check in turn for possible
 things for me, and return, for > instance '(url . "http://www.gnu.org"). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: jao <jao@HIDDEN> writes: > yes. i was imagining a
 convenience
 funtion, say `anything-at-point', > that would check in turn for possible
 things for me, and return, for > instance '(url . "http://www.gnu.org"). 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [95.216.78.240 listed in list.dnswl.org]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

jao <jao@HIDDEN> writes:

> yes.  i was imagining a convenience funtion, say `anything-at-point',
> that would check in turn for possible things for me, and return, for
> instance '(url . "http://www.gnu.org"). 

Sure, a package like that would be nice.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 26 Jan 2021 00:30:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 25 19:30:06 2021
Received: from localhost ([127.0.0.1]:40452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4CFB-0008Fa-T0
	for submit <at> debbugs.gnu.org; Mon, 25 Jan 2021 19:30:06 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36884)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jao@HIDDEN>) id 1l4CF9-0008BE-TY
 for 42483 <at> debbugs.gnu.org; Mon, 25 Jan 2021 19:30:04 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36031)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jao@HIDDEN>)
 id 1l4CF4-0008Es-NG; Mon, 25 Jan 2021 19:29:58 -0500
Received: from [89.44.201.166] (port=27017 helo=osgiliath.local)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <jao@HIDDEN>)
 id 1l4CF4-0005zS-Da; Mon, 25 Jan 2021 19:29:58 -0500
Received: by osgiliath.local (Postfix, from userid 1000)
 id C7EE7402B5; Tue, 26 Jan 2021 00:29:56 +0000 (GMT)
From: jao <jao@HIDDEN>
To: "Lars Ingebrigtsen" <larsi@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
In-Reply-To: <87lfcgo9s2.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 26 Jan 2021 00:51:25 +0100")
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
 <U43vwkmIZZ1Uf-qJV6fUJvih2FycMJ3I1Lkfa1CqbhTkn7MpMFntwIb2Vqak98O1NIoqXGHHTw0v7HCoMhb5Mg==@protonmail.internalid>
 <87r1mbtqg6.fsf@HIDDEN> <87eeiba19k.fsf@HIDDEN>
 <XGmAZr76q0Xs7AXiHU39oJhNEMMNXd_elC7gcq7OsFQZWUjv81ML23JzFW_ynfTvppAG0zsuo6lD7v_vHphvdQ==@protonmail.internalid>
 <87lfcgo9s2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
X-Attribution: jao
X-Clacks-Overhead: GNU Terry Pratchett
X-URL: <http://jao.io/>
Date: Tue, 26 Jan 2021 00:29:56 +0000
Message-ID: <87wnw08rqz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Tue, Jan 26 2021, Lars Ingebrigtsen wrote:

> jao <jao@HIDDEN> writes:
>
>> Excelent, thanks a lot.  I am not sure whether thing-at-point already
>> has that, but it'd then be useful to be able to retrieve, together with
>> the thing-at-point, its category (and even also have a thing/s/-at-point
>> returning all detected things).
>
> I'm not sure I follow you here -- you call thing at point with the
> category (or "thing", as thingatpt calls it) as the parameter:
>
> (thing-at-point 'url)
>
> thingatpt doesn't try to guess at what type of thing exists under point,
> just what the thing is.

yes.  i was imagining a convenience funtion, say `anything-at-point',
that would check in turn for possible things for me, and return, for
instance '(url . "http://www.gnu.org"). 

or perhaps simply having a function, say `things-at-point', returning
the list of symbols that denote possible things at point would be good
enough for the use case i'm imagining (dispatching actions on the thing
at point, whatever it is, based on its type).





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 25 Jan 2021 23:51:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jan 25 18:51:40 2021
Received: from localhost ([127.0.0.1]:40372 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l4Bdz-00054b-Pj
	for submit <at> debbugs.gnu.org; Mon, 25 Jan 2021 18:51:39 -0500
Received: from quimby.gnus.org ([95.216.78.240]:50928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l4Bdx-00054O-Pd
 for 42483 <at> debbugs.gnu.org; Mon, 25 Jan 2021 18:51:38 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=E7MiCRWJr2jOSEH+n57DTmcOpt5a7NhW5WN3O3yS+Mw=; b=C1zO+Mh7/0BBHS6ZPUQyrmR/um
 xdNUx32UooSA3aodlmZHM2nLuaI3/K4HC65NOiAmHhKGh+ZFRGPnICdUZZzGCeJ1+V5kkmC7i4i63
 bexw+mgqJoPguMZcMTFBVdJXFDbP2t2G8zInN+OUaBXtFJ4VoWxxS7NZPUxzm8wdmwkw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l4Bdm-0002kh-QM; Tue, 26 Jan 2021 00:51:31 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: jao <jao@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
 <U43vwkmIZZ1Uf-qJV6fUJvih2FycMJ3I1Lkfa1CqbhTkn7MpMFntwIb2Vqak98O1NIoqXGHHTw0v7HCoMhb5Mg==@protonmail.internalid>
 <87r1mbtqg6.fsf@HIDDEN> <87eeiba19k.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX3+fPa2dbEvr57
 a3ehoqpGPEkTDBH///+rYgGBAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+UBGRceG91hUvIAAAGiSURB
 VDjLjdLBmoIgEABgMPcOVnclumfqnsvo3mbjfb9V3v8RdgYMafOwHIrmbwYYYOx9SCkztRBnHGUR
 SLJFYP8Bnr9DQtPVMRbuYMNSxtK6fAPOtOBF80j/lkqZyjfn7bARRrCz+2e8eDroQuciE0Wa+HNM
 ltzdl2LnrPXAuXAZX2EFIT0kgrMiWd1YlmAIV5haInEiBFsdMMpzBPzIou6uD74MZog8bvu+bP8e
 0I8r2NMiNNYOi9BbOy7eh0UQ8w2GxRMEm883G2BFIOJXMv34IDjNj+QV8jkhAJX6iRICpAjfATKl
 Qwae4xZByNjjyQ9hU1Gpa9OPMYRSVQPd6Rl/gQq6clpC10qZUKoCqKd2VHWFIGeozm5La4DOGFcS
 4dIAwIPisrHjUXuQUlwwDh1Ns75uFWYUXq4EcMDZbsBNvYKFO1Uq1RuMXYFLFxRHQFcFAXYLjrLp
 sIMEysO+H+k5dDu4u4QZ6KLsCE1/dAmGGUMit3Yao08gcLJ2UbD27hMckGgH5dW2xsxgTKt7gocy
 +hWM8fAMm4pdptknwTDDL00Yf353BdPtAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIxLTAxLTI1VDIz
 OjMwOjI3KzAwOjAwIPc4KgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0yNVQyMzozMDoyNysw
 MDowMFGqgJYAAAAASUVORK5CYII=
X-Now-Playing: Sam Amidon's _Bright Sunny South_: "As I Roved Out"
Date: Tue, 26 Jan 2021 00:51:25 +0100
In-Reply-To: <87eeiba19k.fsf@HIDDEN> (jao@HIDDEN's message of "Sat, 23
 Jan 2021 19:42:15 +0000")
Message-ID: <87lfcgo9s2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  jao <jao@HIDDEN> writes: > Excelent, thanks a lot. I am not
 sure whether thing-at-point already > has that, but it'd then be useful to
 be able to retrieve, together with > the thing-at-point, its category (and
 even also have [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

jao <jao@HIDDEN> writes:

> Excelent, thanks a lot.  I am not sure whether thing-at-point already
> has that, but it'd then be useful to be able to retrieve, together with
> the thing-at-point, its category (and even also have a thing/s/-at-point
> returning all detected things).  

I'm not sure I follow you here -- you call thing at point with the
category (or "thing", as thingatpt calls it) as the parameter:

(thing-at-point 'url)

thingatpt doesn't try to guess at what type of thing exists under point,
just what the thing is.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 23 Jan 2021 19:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 14:42:56 2021
Received: from localhost ([127.0.0.1]:35347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3OoB-0007hS-Uo
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:42:56 -0500
Received: from eggs.gnu.org ([209.51.188.92]:38134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jao@HIDDEN>) id 1l3OoA-0007hD-5E
 for 42483 <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:42:54 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47692)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <jao@HIDDEN>)
 id 1l3Oo4-0006TJ-UF; Sat, 23 Jan 2021 14:42:48 -0500
Received: from [89.44.201.166] (port=18964 helo=osgiliath.local)
 by fencepost.gnu.org with esmtpsa (TLS1.2:DHE_RSA_AES_256_CBC_SHA256:256)
 (Exim 4.82) (envelope-from <jao@HIDDEN>)
 id 1l3Oo3-0000CS-Db; Sat, 23 Jan 2021 14:42:47 -0500
Received: by osgiliath.local (Postfix, from userid 1000)
 id BD4AE402B8; Sat, 23 Jan 2021 19:42:15 +0000 (GMT)
From: jao <jao@HIDDEN>
To: "Lars Ingebrigtsen" <larsi@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
In-Reply-To: <87r1mbtqg6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 23 Jan 2021 20:15:37 +0100")
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
 <U43vwkmIZZ1Uf-qJV6fUJvih2FycMJ3I1Lkfa1CqbhTkn7MpMFntwIb2Vqak98O1NIoqXGHHTw0v7HCoMhb5Mg==@protonmail.internalid>
 <87r1mbtqg6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
X-Attribution: jao
X-Clacks-Overhead: GNU Terry Pratchett
X-URL: <http://jao.io/>
Date: Sat, 23 Jan 2021 19:42:15 +0000
Message-ID: <87eeiba19k.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On Sat, Jan 23 2021, Lars Ingebrigtsen wrote:

>> A strategy i've seen elsewhere (in the embark package) for something
>> similar is to keep a list of "target finders" that are applied in turn,
>> until one succeeds returning, say, '(url . "http://foo/bar").  That's
>> essentially what you're suggesting above, except that one can write
>> global detectors (the list is not (necessarily) buffer local)
>
> Yup.  Adding this sort of framework to thingatpt looks pretty trivial,
> and sounds generally useful, so I'll take a stab at it (using eww as the
> first test case).

Excelent, thanks a lot.  I am not sure whether thing-at-point already
has that, but it'd then be useful to be able to retrieve, together with
the thing-at-point, its category (and even also have a thing/s/-at-point
returning all detected things).  

With that metadata available, there's a just a very easy step to have
"actions at point": one could associate to each possible thing at point
type a keymap, and then have a command that retrieves the thing at point
and, for instance, activates that keymap.  Or associate a function
taking the thing at point and doing whatever one wishes.

(For instance, i have a video-url-at-point detector which looks for urls
that are from a video streaming platform, and associate to it actions
that let me play it with vlc or mpv, besides opening them in emacs-w3m,
ewww or firefox, as with other url).

I'm again stealing from embark's ideas, but for a really concise yet
already very useful take on this kind of "do-at-point" functionality,
see https://github.com/jyp/dap (GPL3, just around 200 loc).

Cheers,
jao
-- 
Don't be yourself. Be someone a little nicer.
  -Mignon McLaughlin, journalist and author (1913-1983)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 23 Jan 2021 19:41:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 14:41:10 2021
Received: from localhost ([127.0.0.1]:35335 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3OmU-0007eX-9S
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:41:10 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55434)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l3OmS-0007eK-Bz
 for 42483 <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:41:08 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=zRGJ44vKVth/dZAtMHyXR1s6M+XN8ZzMm8AsfPny1cQ=; b=sUE76ysbpAbTkVFLF80clxyHC/
 oUzp9Od/94t26tRKjUvlf+5mrjtHvhZUA+GG2maUjszqSwMi9GO21YyEGX94BPTtyPWc9yFWxYr2S
 qmugaOINiRGUfYnbO9yTFeuwI5qWeehMUdItZrf5HdjrAFlBqCdtc7xk/ZN5DaFddzIw=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l3OmD-0004Vc-ND; Sat, 23 Jan 2021 20:41:01 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Jose A. Ortega Ruiz" <jao@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
 <87r1mbtqg6.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEX6+/3a0dKlnZ2B
 eHdMUE4xOjkYJzr///+RN+RxAAAAAWJLR0QHFmGI6wAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0
 SU1FB+UBFxMoJXLKAcMAAAFxSURBVDjLbVRLcsIwDAXSA0Cn7Om06ZohpGuYyAeAWDpAZ+z7H6G2
 Po4T8hb56EVPlvyczcbw3gF0n5sltldkDPt5fOeCEORPs+8dFvg6p8cK4xT/CDVB9zWhmdgRF3is
 J5SUN3zBjYnfV+KPlXAF+3Ul0WrlMQasunkmQtYUY8RAhfJWgiJnBOKoy0WaoARncE4i6KS1o2VE
 zbjpPCKD82wqrSkpspbLy8oEzAnPRG9EqlARY24DQMVJpVCIAcAikT/wQ88EgLflKAEuEakGSOMs
 hTqxsRSnTKUbWfG2ECTt2HJLgyEhd2/ENBKiKuOhQ6TSYLQh7qaxYx57tLGrF8rYSYa4N0OTbVQs
 xj5WZggYJ5M2ujW244zzzHCVS9i8P+oYj86lS7GoaHlI079eAZwpFcuhrFPtJidNXoeuA3m6L44a
 WEI5t01l59TreTq2bU086x9AP8XH2U9j26sazeOJ+Za6l0U84fDVdZdDef0HlpEthqAcduEAAAAZ
 dEVYdGNvbW1lbnQAQ3JlYXRlZCB3aXRoIEdJTVDnr0DLAAAAJXRFWHRkYXRlOmNyZWF0ZQAyMDIx
 LTAxLTIzVDE5OjQwOjM3KzAwOjAw0MkHLgAAACV0RVh0ZGF0ZTptb2RpZnkAMjAyMS0wMS0yM1Qx
 OTo0MDozNyswMDowMKGUv5IAAAAASUVORK5CYII=
X-Now-Playing: Herbert's _Part One_: "See You On Monday"
Date: Sat, 23 Jan 2021 20:40:52 +0100
In-Reply-To: <87r1mbtqg6.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 23 Jan 2021 20:15:37 +0100")
Message-ID: <87mtwztpa3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > Yup. Adding this
 sort of framework to thingatpt looks pretty trivial, > and sounds generally
 useful, so I'll take a stab at it (using eww as the > first test case). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Yup.  Adding this sort of framework to thingatpt looks pretty trivial,
> and sounds generally useful, so I'll take a stab at it (using eww as the
> first test case).

Now done, so I guess it's up to Org now to use the mechanism.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 23 Jan 2021 19:15:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 23 14:15:57 2021
Received: from localhost ([127.0.0.1]:35320 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l3OO5-0005lk-Ef
	for submit <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:15:57 -0500
Received: from quimby.gnus.org ([95.216.78.240]:55302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l3OO3-0005f0-2w
 for 42483 <at> debbugs.gnu.org; Sat, 23 Jan 2021 14:15:55 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PSGRBiXSxf8873eu1TTZ+8QsjhLZIWcFkvsNjEv1kWk=; b=tANMCBDhWQAliYK99y6r3+ue4s
 7hINO/HBOi8HRxkoQsm31/wMn7MpZrF8sGS4v13K7jftcCAi9zmqqau7wJLboJTNMYaSWaayaaMtk
 9qCvjVNbb0JRhy9fjpIdjaabpG0H0DDi8UZwhwcHGzA48oXvUtmT/nB+l9a3/1NNBVfY=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l3ONs-0004Fr-7V; Sat, 23 Jan 2021 20:15:49 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Jose A. Ortega Ruiz" <jao@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN> <87wnw4oeaf.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAFVBMVEX7+/ubn55XTksx
 OjcaODWySkP///9XuT1hAAAAAWJLR0QGYWa4fQAAAAlwSFlzAAALEgAACxIB0t1+/AAAAAd0SU1F
 B+UBFxMHJvnfaBQAAAFzSURBVDjLbVTdmQIhDNw9G9DVAjTIuxegAHfPBsD038oFCH+r86CfjJNJ
 QsI0FcwLwO047TEvhmHNbX+uNpNgcRDNd1Ox9sTFdPht5z9bT9hrJcyIGuywI8z1u8AYFIcPQlwu
 H4R5phrMF/SRFKoxVo6EFF4BhyLz/4j8K7iqWYuFo6hwb2gmc2qHjgrl7lo09ijexIQLGMjX4g/Z
 OkGzUIjHdBaLBE/EsZSKaQ0EIxSCPyB6k4eeeDJhE+EBMPFNAVkBAPGLcnOwEp5/gBCQiRLKIOcA
 XOJorikoVoAr5pIuV6CjQpMa69AcS/lYYul7awk4ySr3KjeRu+RZ4AvBV9javsa2p2altk9ysxS4
 7W9dPNrV+qRw3tf56YaBr5buch11fNCvPAyQF8ge2+haWLspGUYUY83YRjSvDYKgRSp5dViHxbGw
 LNBvAUN2Vu0EH8vZbfq5Y2y3zuy/fT9vT8bfeM5Ij8yG+0cmik7L7dR8/wECj713jq8OBAAAABl0
 RVh0Y29tbWVudABDcmVhdGVkIHdpdGggR0lNUOevQMsAAAAldEVYdGRhdGU6Y3JlYXRlADIwMjEt
 MDEtMjNUMTk6MDc6MzgrMDA6MDB0hB88AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIxLTAxLTIzVDE5
 OjA3OjM4KzAwOjAwBdmngAAAAABJRU5ErkJggg==
X-Now-Playing: Herbert's _Part Two_: "Shuffler"
Date: Sat, 23 Jan 2021 20:15:37 +0100
In-Reply-To: <87wnw4oeaf.fsf@HIDDEN> (Jose A. Ortega Ruiz's message of
 "Fri, 22 Jan 2021 21:24:56 +0000")
Message-ID: <87r1mbtqg6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Jose A. Ortega Ruiz" <jao@HIDDEN> writes: > Another context
 in which something like this could be useful is > emacs-w3m buffers, which
 are naturally full of links stored in text > properties (or eww,
 i am guessing).
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Jose A. Ortega Ruiz" <jao@HIDDEN> writes:

> Another context in which something like this could be useful is
> emacs-w3m buffers, which are naturally full of links stored in text
> properties (or eww, i am guessing).

Yes, that's true -- it would certainly be nice if `(thing-at-point 'url)' 
worked in eww buffers (which it currently doesn't).

> A strategy i've seen elsewhere (in the embark package) for something
> similar is to keep a list of "target finders" that are applied in turn,
> until one succeeds returning, say, '(url . "http://foo/bar").  That's
> essentially what you're suggesting above, except that one can write
> global detectors (the list is not (necessarily) buffer local)

Yup.  Adding this sort of framework to thingatpt looks pretty trivial,
and sounds generally useful, so I'll take a stab at it (using eww as the
first test case).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Jan 2021 22:08:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 22 17:08:14 2021
Received: from localhost ([127.0.0.1]:33355 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l34bG-0002pz-1N
	for submit <at> debbugs.gnu.org; Fri, 22 Jan 2021 17:08:14 -0500
Received: from lists.gnu.org ([209.51.188.17]:56130)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l34bD-0002pr-NI
 for submit <at> debbugs.gnu.org; Fri, 22 Jan 2021 17:08:13 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:44894)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l34bD-00021p-Ig
 for bug-gnu-emacs@HIDDEN; Fri, 22 Jan 2021 17:08:11 -0500
Received: from ciao.gmane.io ([116.202.254.214]:53324)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l34bC-0004I6-4e
 for bug-gnu-emacs@HIDDEN; Fri, 22 Jan 2021 17:08:11 -0500
Received: from list by ciao.gmane.io with local (Exim 4.92)
 (envelope-from <geb-bug-gnu-emacs@HIDDEN>)
 id 1l34b8-0001Qc-I3
 for bug-gnu-emacs@HIDDEN; Fri, 22 Jan 2021 23:08:06 +0100
X-Injected-Via-Gmane: http://gmane.org/
To: bug-gnu-emacs@HIDDEN
From: "Jose A. Ortega Ruiz" <jao@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
Date: Fri, 22 Jan 2021 21:24:56 +0000
Message-ID: <87wnw4oeaf.fsf@HIDDEN>
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
 <87czxwycll.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
Cancel-Lock: sha1:P42FH/q5YAHE8Gdfhe9pQsTf6Zk=
X-Attribution: jao
X-Clacks-Overhead: GNU Terry Pratchett
X-URL: <http://jao.io/>
Received-SPF: pass client-ip=116.202.254.214;
 envelope-from=geb-bug-gnu-emacs@HIDDEN; helo=ciao.gmane.io
X-Spam_score_int: -16
X-Spam_score: -1.7
X-Spam_bar: -
X-Spam_report: (-1.7 / 5.0 requ) BAYES_00=-1.9,
 HEADER_FROM_DIFFERENT_DOMAINS=0.249, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.1 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

On Fri, Jan 22 2021, Lars Ingebrigtsen wrote:

[...]

> This sounds like something that belongs in org, though, and not in
> thingatpt.el, though.  Unfortunately, thing-at-point doesn't have a
> mode-based model for working...  but it could grow one?  That is, there
> could be a buffer-local thing-at-point-local-things, and Org could set
> that to
>
> ((url . org--org-url-at-point))
>
> or something like that.
>
> Any opinions?

Another context in which something like this could be useful is
emacs-w3m buffers, which are naturally full of links stored in text
properties (or eww, i am guessing).

A strategy i've seen elsewhere (in the embark package) for something
similar is to keep a list of "target finders" that are applied in turn,
until one succeeds returning, say, '(url . "http://foo/bar").  That's
essentially what you're suggesting above, except that one can write
global detectors (the list is not (necessarily) buffer local)

Just an idea,
jao
-- 
Come to think of it, there are already a million monkeys on a million
typewriters, and Usenet is NOTHING like Shakespeare. - Blair Houghton.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.

Message received at 42483 <at> debbugs.gnu.org:


Received: (at 42483) by debbugs.gnu.org; 22 Jan 2021 19:51:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 22 14:51:34 2021
Received: from localhost ([127.0.0.1]:33156 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1l32T0-0005st-A9
	for submit <at> debbugs.gnu.org; Fri, 22 Jan 2021 14:51:34 -0500
Received: from quimby.gnus.org ([95.216.78.240]:44854)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1l32Sv-0005sZ-5z
 for 42483 <at> debbugs.gnu.org; Fri, 22 Jan 2021 14:51:32 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=WA3Qk7OLj34DJT2IcrBYFfU9ljXjZRB6w6l6Fqm21JA=; b=FPQUF04rd+XlrtKZv2s5ZNN/4D
 hOh2yS4ltUR9zNpuzDR7f6mSBN+potzyV5U/XkXVuM2+d9pES6bGLvBe1aYEa7jJ0XQSkMyXv/E1W
 DEL0c9GcPsr/IPolUYrfqa8Hjkb5pomeJm7yhfJp8FJA1dc3Lz4MzI8s6B8U/AykxjHQ=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1l32Sm-0004st-1a; Fri, 22 Jan 2021 20:51:22 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Boruch Baum <boruch_baum@HIDDEN>
Subject: Re: bug#42483: 26.1: thing-at-point doesn't recognize org-link urls
References: <20200723033218.deuamgvc74zskyz4@HIDDEN>
X-Now-Playing: Various's _Deathbomb Digital Singles Club Year 2_: "Fun Juice"
Date: Fri, 22 Jan 2021 20:51:18 +0100
In-Reply-To: <20200723033218.deuamgvc74zskyz4@HIDDEN> (Boruch
 Baum's message of "Wed, 22 Jul 2020 23:32:18 -0400")
Message-ID: <87czxwycll.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Boruch Baum <boruch_baum@HIDDEN> writes: > One of the
 features
 of function `thing-at-point' is recognition of urls, > so I expected it to
 be able to recognize org-link urls, but that isn't > the case. Here's an
 example that when yanked into [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 42483
Cc: 42483 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Boruch Baum <boruch_baum@HIDDEN> writes:

> One of the features of function `thing-at-point' is recognition of urls,
> so I expected it to be able to recognize org-link urls, but that isn't
> the case. Here's an example that when yanked into an org-mode buffer
> will display the underlined text 'SageMathCell', and when performing `C-c
> C-o' (M-x org-open-at-point) will correctly open the url link. However,
> `(thing-at-point 'url)' and `(thing-at-point-url-at-point)' evaluate to
> NIL.
>
>    [[https://sagecell.sagemath.org/][SageMathCell]]
>
> I was expecting function `thing-at-point-url-at-point' to check if the
> mode was org-mode, and if so, to try something like the following
>
> (defun shamelessly-plagiarized-from-org-open-at-point ()
>   (interactive)
>       (let* ((context
> 	      (org-element-lineage
> 	        (org-element-context) '(link) t))
> 	     (value (org-element-property :value context))
> 	     (type (org-element-property :type context))
> 	     (path (org-link-unescape (org-element-property :path context))))
>   (message (concat type ":" path))))

This sounds like something that belongs in org, though, and not in
thingatpt.el, though.  Unfortunately, thing-at-point doesn't have a
mode-based model for working...  but it could grow one?  That is, there
could be a buffer-local thing-at-point-local-things, and Org could set
that to

((url . org--org-url-at-point))

or something like that.

Any opinions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.
Severity set to 'wishlist' from 'normal' Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 23 Jul 2020 03:32:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 22 23:32:30 2020
Received: from localhost ([127.0.0.1]:43519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1jyRyA-0006xM-G0
	for submit <at> debbugs.gnu.org; Wed, 22 Jul 2020 23:32:30 -0400
Received: from lists.gnu.org ([209.51.188.17]:39706)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <boruch_baum@HIDDEN>) id 1jyRy6-0006xD-VX
 for submit <at> debbugs.gnu.org; Wed, 22 Jul 2020 23:32:29 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44930)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <boruch_baum@HIDDEN>)
 id 1jyRy6-00027s-Kw
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jul 2020 23:32:26 -0400
Received: from mout.gmx.net ([212.227.15.18]:43089)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <boruch_baum@HIDDEN>)
 id 1jyRy4-0001Ua-IC
 for bug-gnu-emacs@HIDDEN; Wed, 22 Jul 2020 23:32:26 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1595475141;
 bh=dzaAl8q3DvgRperr6ZiBZGnFja7AfAUolQzYEm6nsiU=;
 h=X-UI-Sender-Class:Date:From:To:Subject;
 b=SDnVfL1UhYYrSG0Hd6yxDaGFVcOxGuH7Yb1RNq5jj2TJL1HWzFY2YOBFtXKhGY4Ql
 WcYP2cvTd3XJJ8DuLFZrN4xvf3kPCtzvZhgZQg/zjc2Go7PiLm763EUDs2qudbV4rv
 eKz+EflQ1sUeEr1IcbHvamM6Hr06DQn1kaQHR/IY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from E15-2016.optimum.net ([72.89.170.172]) by mail.gmx.com
 (mrgmx004 [212.227.17.184]) with ESMTPSA (Nemesis) id
 1MFKKh-1k0R7V47sf-00FmnR for <bug-gnu-emacs@HIDDEN>; Thu, 23 Jul 2020
 05:32:21 +0200
Date: Wed, 22 Jul 2020 23:32:18 -0400
From: Boruch Baum <boruch_baum@HIDDEN>
To: Emacs Bug Reporting <bug-gnu-emacs@HIDDEN>
Subject: 26.1: thing-at-point doesn't recognize org-link urls
Message-ID: <20200723033218.deuamgvc74zskyz4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
User-Agent: NeoMutt/20180716
X-Provags-ID: V03:K1:NbNePPgpAeYIIGd1Z3wAtwmqTwxWVA5eEUzOUipt1+e7ScXVKdg
 7zwWh7CSEp4olSa87caPKgqlZP8KRIBnui2A+xiosNf20SxL8cX5H3aefdvr2WjhB9PNyD/
 aYSGx1zqF32Ld4gqFQDovTcPJzoaRCxabj9yIp3PS3uirlx1lKKQwxHKTIRGVC3b3pVU/Xw
 JctOa4qf66KI7kZYmX/Pw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:40JmdtmhGP8=:R5gbwIwEmhPj3wx+aRoCmU
 6jIp9IRBXAf6nH+42KhNS3oAw8V0M44u5sN71fltOp03WsNaPEQp5hzeG9P3WNaEb7N55eADw
 irfIKiPZcbzNGhAk/XaDjUgkAX6HgE58RjDvLOfWRdAbrFTagCcQOEyVx2d6/M5AKbS5MzQoP
 231X7XyZ7quxpGynIVHsbMcx5khPF34mq7Tkr8l50PyBeBvDYyog4aaTxI8ZDviUUbNGXTC98
 vOz4Fjmu7YAQzL4/mNFvorpgi4MrITgCcpHBFHAMMA50cwIZxVpO96ORP61KpAvmqdP82mDZW
 5ZOrezfKNN7Qrc0ZKxL7zpcU6UpK+7WrpR/U0mbwuP4ok65AKofA2ER0r1E/Ygh24bdxzUM/l
 qlTwtr1Yk7ceEwrbe+zaRVHilRfWVIdDUJoYi9iqszfvmg7jB6ldc538WcDGZyHPF4XG+dA9K
 hASJ3dvM3gZTDTj1DPbl6QsC7EeK2goaEmcC1ZgeFb8aAUVRgGCK0XLOHfE49s7qOS3kiQnp0
 XfW5pGRpdO6LhbZk1hum43Wa6rzD3e+rVPsMAOJKIcWzcrjjozJ1pYaFjFaFpoJREJ6WG5b1v
 t2hYvgGkMqHJ7s0Rnn3m8fCigl4xmzBePPghoRb+mekofE4kqKI/bLvp/58ZrSGVVw5EYKQuk
 +D62D4tcvI28WFKw2JkTS3wisJQBfe9iyLa8feknPIwVFbOx9FeSsYjUGY6JI+/Uyt3bmCo0x
 jOOurgNaA1cwLI6mjpnYKLj13YCqtpdjH+Os9L4il5JNDz4HAI2usyQ8RJkfGhinemq089fAh
 XyGqpyoS53+74D6kFzZUyFLCFKbFJIjl9JNOdDN3TiQ2OlWwFCczcQc/tHgu9BDqyMcADVUzo
 a3stQ7jtFAvxfEAT0Xdi+vYn+taXla8Cb3zRG9UB/tEMq8QQn3e5Le7m3l82/Di2bdRrb2JkN
 K812qP9Qh9y6AXet/c0pJLFwDwUXVOAiStP5HdgDhr0k7FYkZpn2DshNQKyKGLrqp5nwMeY24
 eb6Ukk3/D502GEJri4V3MRXJbAjDTe5O23ks0nK5tOy8eE1TQRkscH+p5qTHYeHZTJFjN8zd4
 2Tgg/JJksBJwoxvOsTnCJEjZ5qhU4OwSKRR3haXnrVHxZSQrrbmdXsyGvFRUnp0PtrlllEP+l
 h1/Lh2glVxnoBl9nfQ2ZpY8FDVj9bLzC4N8rWpsihKby8kCL3fGPtlpA+Q/2g0PNQnklxcZJu
 zQ2qS+JK1Y5IXyTl08bPasGuFwEN+lU2S7CVqag==
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=212.227.15.18; envelope-from=boruch_baum@HIDDEN;
 helo=mout.gmx.net
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/07/22 23:32:21
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic]
X-Spam_score_int: -35
X-Spam_score: -3.6
X-Spam_bar: ---
X-Spam_report: (-3.6 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_LOW=-0.7,
 RCVD_IN_MSPIKE_H2=-1, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 URIBL_BLOCKED=0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.2 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

One of the features of function `thing-at-point' is recognition of urls,
so I expected it to be able to recognize org-link urls, but that isn't
the case. Here's an example that when yanked into an org-mode buffer
will display the underlined text 'SageMathCell', and when performing `C-c
C-o' (M-x org-open-at-point) will correctly open the url link. However,
`(thing-at-point 'url)' and `(thing-at-point-url-at-point)' evaluate to
NIL.

   [[https://sagecell.sagemath.org/][SageMathCell]]

I was expecting function `thing-at-point-url-at-point' to check if the
mode was org-mode, and if so, to try something like the following

(defun shamelessly-plagiarized-from-org-open-at-point ()
  (interactive)
      (let* ((context
	      (org-element-lineage
	        (org-element-context) '(link) t))
	     (value (org-element-property :value context))
	     (type (org-element-property :type context))
	     (path (org-link-unescape (org-element-property :path context))))
  (message (concat type ":" path))))

=2D-
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0




Acknowledgement sent to Boruch Baum <boruch_baum@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#42483; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 27 Jan 2021 01:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.